# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(No/Worries/Die.pm) perl(No/Worries/Dir.pm) perl(No/Worries/Export.pm) perl(No/Worries/Log.pm) perl(No/Worries/Proc.pm) perl(No/Worries/Warn.pm) perl(Pod/Usage.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Directory-Queue
Version:        1.7
Release:        alt1_2
Summary:        Object oriented interface to a directory based queue
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Directory-Queue/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LC/LCONS/Directory-Queue-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(No/Worries.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Time/HiRes.pm)



%{?perl_default_subpackage_tests}
Source44: import.info

%description
The goal of this module is to offer a simple queue system using the
underlying file system for storage, security and to prevent race conditions
via atomic operations. It focuses on simplicity, robustness and
scalability.

%prep
%setup -q -n Directory-Queue-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- update to new release by fcimport

* Wed Dec 12 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- fc import

